#---------- Delete Function ----------
echo "twsCleanAction.................."

#------- get the parametres from the caller -------
INSTALL_DIR="$1"
ACTIONTOOLS_DIR="$2"
MAEUSER="$3"
TWSREGISTRYFILE=$4
VERBOSE="-verbose"

OS=`uname -s`;export OS

case $OS in
   AIX)
     INST_INTERP="AIX"; export INST_INTERP
   ;;
   HP-UX)
     INST_INTERP="HP"; export INST_INTERP
   ;;
   Linux)
     case `uname -m` in
     *86*)
       INST_INTERP="LINUX_I386"; export INST_INTERP
       ;;
     *390*)
       INST_INTERP="LINUX_S390"; export INST_INTERP
       ;;
     esac
   ;;
   SunOS)
     INST_INTERP="SOLARIS"; export INST_INTERP
   ;;
   *) 
     INST_INTERP="LINUX_I386"; export INST_INTERP
   ;;
esac


echo "INSTALL_DIR=$INSTALL_DIR"
echo "ACTIONTOOLS_DIR=$ACTIONTOOLS_DIR"
echo "MAEUSER=$MAEUSER"
echo "TWSREGISTRYFILE=$TWSREGISTRYFILE"


#
# execute_command is used to execute a command and capture errors.
#
# Arguments:
#	<command> args
execute_command()
{
 $@ 
 if [ $? -ne 0 ]
 then
     echo "Remove failed executing: $@." 
     exit 1
 fi 
}



# TWSREGISTRY.DAT CLEANING *****
twsRegistryKey="/Tivoli/Workload_Scheduler/$MAEUSER"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey} $VERBOSE"
execute_command "$cmd"

# rm -fR "$INSTALL_DIR/_uninstall/CLI"  

echo "Removing files.. "
rm -fR "${INSTALL_DIR}/bin"
rm -fR "${INSTALL_DIR}/catalog"
rm -fR "${INSTALL_DIR}/config"
rm -fR "${INSTALL_DIR}/demo"
rm -fR "${INSTALL_DIR}/mozart"
rm -fR "${INSTALL_DIR}/stdlist"
rm -fR "${INSTALL_DIR}/unsupported"
rm -f "$INSTALL_DIR/localopts"

rm -f $INSTALL_DIR/*.old
rm -f $INSTALL_DIR/mozart/*.old
rm -f $INSTALL_DIR/*.bck
rm -f $INSTALL_DIR/mozart/*.bck
rm -f $INSTALL_DIR/_uninstall/ACTIONTOOLS/*.historyFile

#TODO Remove entries from component file

echo "Exited successfully"
exit 0


