#!/bin/sh


#------------ Configuration of TMF 4.1.1 for Red hat 3 on zSeries ------------
#------------ Needed for set the LD_ASSUME_KERNEL environment variable ------------

TEMP_ENV=/tmp/tws821/env.tmp; export TEMP_ENV

odadmin environ get 1  >  $TEMP_ENV
if [ $? -ne 0 ]
then
    echo "ERROR. Unable to get the TMF environment." >&2
    exit 1
fi

echo LD_ASSUME_KERNEL=2.4.1 >> $TEMP_ENV
if [ $? -ne 0 ]
then
    echo "ERROR. Unable to write on /tmp/tws821/env.tmp file." >&2
    exit 2
fi


odadmin environ set 1  <  $TEMP_ENV
if [ $? -ne 0 ]
then
    echo "ERROR. Unable to set the LD_ASSUME_KERNEL variable in the TMF environment." >&2
    exit 3
fi

rm -f $TEMP_ENV

exit 0
