#---------- Delete Function ----------
echo "twsUndoAction.................."

#------- get the parametres from the caller -------
INSTALL_DIR="$1"
ACTIONTOOLS_DIR="$2"
MAEUSER="$3"
TWSREGISTRYFILE=$4
VERBOSE="-verbose"
STATUSDIR=$INSTALL_DIR/_uninstall/ACTIONTOOLS

# This script is called inside the SPB
# while performing an undo or roll-back flow

OS=`uname -s`;export OS

case $OS in
   AIX)
     INST_INTERP="AIX"; export INST_INTERP
   ;;
   HP-UX)
     INST_INTERP="HP"; export INST_INTERP
   ;;
   Linux)
     case `uname -m` in
     *86*)
       INST_INTERP="LINUX_I386"; export INST_INTERP
       ;;
     *390*)
       INST_INTERP="LINUX_S390"; export INST_INTERP
       ;;
     esac
   ;;
   SunOS)
     INST_INTERP="SOLARIS"; export INST_INTERP
   ;;
   *) 
     INST_INTERP="LINUX_I386"; export INST_INTERP
   ;;
esac


echo "INSTALL_DIR=$INSTALL_DIR"
echo "ACTIONTOOLS_DIR=$ACTIONTOOLS_DIR"
echo "MAEUSER=$MAEUSER"
echo "TWSREGISTRYFILE=$TWSREGISTRYFILE"

cd $INSTALL_DIR


echo "STATUS FILES"
echo "`ls -la $STATUSDIR/*.historyFile`"


#
# execute_command is used to execute a command and capture errors.
#
# Arguments:
#	<command> args
execute_command()
{
 $@ 
 if [ $? -ne 0 ]
 then
     echo "postinstall failed executing: $@." 
     exit 1
 fi 
}


# TWSREGISTRY.DAT CLEANING *****
twsRegistryKey="/Tivoli/Workload_Scheduler/$MAEUSER"

if [ -f "$STATUSDIR/FLOW_FRESH.historyFile" ]
then
  cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey} $VERBOSE"
  execute_command "$cmd"
fi
if [ -f "$STATUSDIR/8.1_DISCOVERY.historyFile" ]
then
  cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey} $VERBOSE"
  execute_command "$cmd"
fi
if [ -f "$STATUSDIR/7.0_DISCOVERY.historyFile" ]
then
  cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey} $VERBOSE"
  execute_command "$cmd"
fi

# *** FIXPACK ONLY ***
#SPB will execute this step
#if [ -f "$STATUSDIR/FLOW_PATCH.historyFile" ]
#then
#  FIXPACKROW=${twsRegistryKey}_DN_FixpackName=FP_TWS_${INST_INTERP}_${MAEUSER}.8.2.1.01
#  export FIXPACKROW
#  echo "Removing ${FIXPACKROW} from $TWSREGISTRYFILE"
#  cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${FIXPACKROW} $VERBOSE"
#  execute_command "$cmd"
#fi



#TODO Remove entries from component file


# RESTORING BACKUP FILES
if [ -f "$INSTALL_DIR/mozart/globalopts.bck" ]
then
  execute_command "cp -p $INSTALL_DIR/mozart/globalopts.bck $INSTALL_DIR/mozart/globalopts"
fi
if [ -f "$INSTALL_DIR/localopts.bck" ]
then
  execute_command "cp -p $INSTALL_DIR/localopts.bck $INSTALL_DIR/mozart/localopts"
fi
# Restore old TBSM config file
if [ -f "$INSTALL_DIR/Tbsm/TbsmAdapter/adapter.config.bck" ]
then
  execute_command "cp -p $INSTALL_DIR/Tbsm/TbsmAdapter/adapter.config.bck $INSTALL_DIR/Tbsm/TbsmAdapter/adapter.config"
fi

# Restore old twsinst file
if [ -f "$INSTALL_DIR/twsinst.bck" ]
then
  execute_command "cp -p $INSTALL_DIR/twsinst.bck $INSTALL_DIR/twsinst"
fi

# Restore old twspatch
if [ -f "$INSTALL_DIR/twspatch.bck" ]
then
  execute_command "cp -p $INSTALL_DIR/twspatch.bck $INSTALL_DIR/twspatch"
fi

# ISMP created scripts

# Restore old twsRemove.sh
if [ -f "$INSTALL_DIR/twsRemove.bck" ]
then
  execute_command "cp -p $INSTALL_DIR/twsRemove.bck $INSTALL_DIR/twsRemove.sh"
fi




rm -f $INSTALL_DIR/*.old
rm -f $INSTALL_DIR/mozart/*.old
rm -f $INSTALL_DIR/*.bck
rm -f $INSTALL_DIR/mozart/*.bck
rm -f $STATUSDIR/*.historyFile

exit 0


